$NetBSD$

--- tests/run_tests.sh.orig	2007-02-18 20:15:08.000000000 +0100
+++ tests/run_tests.sh	2007-02-18 20:15:18.000000000 +0100
@@ -6,7 +6,7 @@
 for i in *_unittest; do
   echo -n "$i... "
   `./$i > /dev/null 2>&1`
-  if [ $? == 0 ]; then
+  if [ $? -eq 0 ]; then
     echo "PASS"
   else
     echo "FAILED"
